Assign a role to a Workspace user
<Info icon="fa-light fa-lock" className="permission-callout">
<div className="permission-callout__header"><span className="permission-callout__title"><span className="permission-callout__label">Required permissions</span> <span className="fern-docs-badge small blue subtle rounded-full permission-callout__beta">Beta</span></span> <span className="permission-callout__learn-more">[Learn more](/developers/api-guidelines/permissions#how-permissions-work)</span></div>
`User.Workspace.Role` + `Add`
<div className="permission-callout__roles"><span className="permission-callout__roles-label">Roles:</span> <Badge intent="info">Administrator</Badge></div>
</Info>
Assign a role to a user in the requested Workspace.
<Warning>
You must have **Administrator** access in the requested Workspace to modify user roles.
**SuperAdmin** roles also can't be modified unless you're logged in to the main organization.
</Warning>
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
user_id
User ID
workspace_id
Numerical ID of a Workspace
role_id
Numerical ID of a User Role
Response
Successfully assigned the role
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error